How to enable groovy/js Filetype in Datagrip for extractors

I am trying to modify the database extractor scripts in Datagrip - unfortunately js and/or groovy scripts are not recognised as a file type (so no syntax higlighting, etc).

 

How to fix this?

 

3 comments
Comment actions Permalink

There is no groovy/js support in DataGrip for now.
Use other Intellij IDEs that support groovy/js .

0
Comment actions Permalink

yes - did that - unfortunately there is no context help for the context bindings for the extractors there (SELECTION, PROJECT, FILES) -> would be great to have this anywhere (would be great for the platform, no need to have full fledged JS/groovy support, but at least for the extractors it would help a lot)

0
Comment actions Permalink

Danielk,

Read blog post about scripting https://blog.jetbrains.com/datagrip/2017/11/08/export-data-in-any-way-with-intellij-based-ides/

We have no coding assistance for dynamic bindings. You can use reflection for our API database-openapi.jar(idea-IU-current/lib/src/src_database-openapi.zip) in extractor com.intellij.database.extensions to get properties.

 

0

Please sign in to leave a comment.